Forces all pixels below the threshold into black

- « Imagick::averageImages

- Imagick::blueShiftImage »

- PHP Manual
- Imagick
- Forces all pixels below the threshold into black

# Imagick::blackThresholdImage

(PECL imagick 2, PECL imagick 3)

Imagick::blackThresholdImage — Forces all pixels below the threshold into black

### Description

public Imagick::blackThresholdImage(mixed `$threshold`): bool

Is like Imagick::thresholdImage() but forces all pixels below the threshold into black while leaving all pixels above the threshold unchanged.

### Parameters

`threshold`

  The threshold below which everything turns black

### Return Values

Returns `true` on success.

### Changelog

Version | Description
--- | ---
PECL imagick 2.1.0 | Now allows a string representing the color as a parameter. Previous versions allow only an ImagickPixel object.

### Examples

Example #1 Imagick::blackThresholdImage()

    <?php
    function blackThresholdImage($imagePath, $thresholdColor) {
        $imagick = new \Imagick(realpath($imagePath));
        $imagick->blackthresholdimage($thresholdColor);
        header("Content-Type: image/jpg");
        echo $imagick->getImageBlob();
    }

    ?>